Name:           amahi-tunes
Version: 1.0
Release:        1

Summary:        AmahiTunes is a Amahi app to manage the Firefly media server.

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hdactl hda-platform mt-daapd
Obsoletes: hda-app-amahitunes

%define debug_package %{nil}

%description
amahi-tunes (a.k.a. AmahiTunes) is an Amahi app to
manage the Firefly media server.
(c) 2009, Amahi

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/amahitunes
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/amahitunes/
rsync -a mt-daapd.conf $RPM_BUILD_ROOT/var/hda/platform/apps/amahitunes/
rsync -a music $RPM_BUILD_ROOT/var/hda/platform/apps/amahitunes/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [[ -e /var/cache/hdactl.cache ]]; then
        if grep -q yes /var/cache/hdactl.cache ; then
		/usr/bin/hda-install-file /var/hda/platform/apps/amahitunes/mt-daapd.conf /etc/mt-daapd.conf
		/sbin/chkconfig mt-daapd on
		mkdir -p /var/hda/files/music
		/sbin/service mt-daapd stop &> /dev/null
		/sbin/service mt-daapd start &> /dev/null
		/sbin/service httpd reload &> /dev/null
	fi
fi

if  [[ -z $(ls /var/hda/files/music/) ]] ; then
	rsync -a /var/hda/platform/apps/amahitunes/music/ /var/hda/files/music/
	chown -R 500:users /var/hda/files/music
fi


%preun
if [ "$1" = 0 ]; then
	# an uninstall
	/sbin/service mt-daapd stop &> /dev/null
	/sbin/chkconfig mt-daapd off
	/sbin/service httpd reload &> /dev/null
else
	# update
	( /usr/bin/killall mt-daapd && rm -f /var/run/mt-daapd.pid ) &> /dev/null
	# rely on monit to restart it properly see http://bugs.amahi.org/issues/show/21
	/sbin/service httpd reload &> /dev/null
fi

%files
%defattr(-,root,root,-)
/var/hda/platform/apps/amahitunes/*

%changelog
* Mon Apr 14 2009 Carlos Puchol
- change to amahi-tunes to support the new style apps
* Tue Jun 26 2008 Carlos Puchol
- initial version
